> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve A Workflow Run

GET a single Workflow run by its ID.


## OpenAPI

````yaml GET /api/v1/workflows/{id}
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/workflows/{id}:
    get:
      summary: GET workflows
      operationId: get_workflows_self
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/workflows'
          description: OK
components:
  schemas:
    workflows:
      properties:
        $uri:
          example: /api/v1/workflows/0d77065796f8d173
          pattern: ^/api/v1/workflows/[a-f0-9]{16}$
          readOnly: true
          title: $Uri
          type: string
        complete:
          default: false
          title: Complete
          type: boolean
        created_at:
          description: >-
            Timestamp for when the object was created on the One Codex platform,
            encoded as a [RFC 3339](https://www.ietf.org/rfc/rfc3339.txt)
            timestamp.
          format: date-time
          title: Created At
          type: string
        error_msg:
          anyOf:
            - maxLength: 255
              type: string
            - type: 'null'
          default: null
          description: The error message from the analysis, if it failed.
          title: Error Msg
        job:
          description: >-
            A reference to the versioned job underlying the analysis, e.g.,
            `{"$ref": "/api/v1/jobs/d512cb556241440f"}`.
          properties:
            __DOLLAR_REF__:
              example: /api/v1/jobs/a1b2c3d4e5f67890
              format: uri
              pattern: ^/api/v1/jobs/[a-f0-9]{16}$
              type: string
          title: jobs
          type: object
        job_args:
          additionalProperties: true
          default: {}
          description: The arguments passed into this analysis (can be `null`).
          title: Job Args
          type: object
        sample:
          description: >-
            A reference to the sample underlying the analysis, e.g., `{"$ref":
            "/api/v1/sample/0ee172af60e84f61"}`.
          properties:
            __DOLLAR_REF__:
              example: /api/v1/samples/a1b2c3d4e5f67890
              format: uri
              pattern: ^/api/v1/samples/[a-f0-9]{16}$
              type: string
          title: samples
          type: object
        success:
          default: false
          title: Success
          type: boolean
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: >-
            Timestamp for when the object was last updated on the One Codex
            platform, encoded as a [RFC
            3339](https://www.ietf.org/rfc/rfc3339.txt) timestamp.
          title: Updated At
      required:
        - $uri
        - created_at
        - job
        - sample
      title: workflows
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````